<div class="col-xs-12 col-sm-9 col-md-12 content">
    <div class="panel panel-default">
      	<div class="panel-heading">
        	<h3 class="panel-title"><a href="javascript:void(0);" class="toggle-sidebar"><span class="fa fa-angle-double-left" data-toggle="offcanvas" title="Maximize Panel"></span></a></h3>
      	</div>
      	<div class="panel-body">
		<div class="content-row">
			<h2 class="content-row-title">Total</h2>
			<div class="row">
			  <div class="col-md-3 col-md-offset-1">
			    <div class="color-swatches">
			      <div class="swatches">
			      	<div class="clearfix">
                  		<div style="background-color:#A0D468" class="pull-left light"></div>
                  		<div style="background-color:#8CC152" class="pull-right dark"></div>
                    </div>
			        <div class="infos">
				        <h4>Paid</h4>
				        <p><?= $paid->Monto ?? 0 ?></p>
				        </div>
			      </div>
			    </div>
			</div>
			<div class="col-md-3 col-md-offset-1">
			    <div class="color-swatches">
			      <div class="swatches">
			      	<div class="clearfix">
                  		<div style="background-color:#ED5565" class="pull-left light"></div>
                  		<div style="background-color:#DA4453" class="pull-right dark"></div>
                    </div>
			        <div class="infos">
				        <h4>Still to be paid</h4>
				        <p><?= $unpaid->Monto ?? 0 ?></p>
			        </div>
			      </div>
			    </div>
			</div>
			<div class="col-md-3 col-md-offset-1">
			    <div class="color-swatches">
			      <div class="swatches">
			      	<div class="clearfix">
                  		<div style="background-color:#FFCE54" class="pull-left light"></div>
                  		<div style="background-color:#F6BB42" class="pull-right dark"></div>
                    </div>
			        <div class="infos">
			            <h4>TOTAL</h4>
			            <p><?= $total->Monto ?? 0 ?></p>
			        </div>
			      </div>
			    </div>
			  </div>
			</div>
      	</div>
      	<div class="content-row">
            <div class="row">
                <ul id="tabpanel" class="nav nav-tabs nav-justified">
                  <li class="active"><a href="#payments" data-toggle="tab">Generate payment link</a></li>
                  <li><a href="#pendients" data-toggle="tab">Still to be paid</a></li>
                  <li><a href="#paid" data-toggle="tab">Paid</a></li>
                </ul>
                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane fade active in" id="payments">
                        <div class="row" style="text-align: right;">
                            <div class="col-md-4 col-md-offset-8">
                                <div class="col-md-2"><span id="iconpayments"></span></div>
                                <div class="col-md-10">
                                    <input type="text" name="search" class="form-control search" search="payments" placeholder="Search here">
                                </div>
                            </div>
                        </div>
                    	<table class="table">
                    		<thead>
                    			<tr>
                    				<th>Name</th>
                    				<th>Tax ID</th>
                    				<th>Email</th>
                    				<th>Amount</th>
                    				<th>Actions</th>
                    			</tr>
                    		</thead>
                    		<tbody>
                    			<?php foreach($list as $val): ?>
                    			<tr>
                    				<td><?= $val->name ?></td>
                    				<td><?= $val->rut ?></td>
                    				<td><?= $val->email ?></td>
                    				<td><?= $val->price ?></td>
                    				<td><?= $this->Form->postLink('<i class="fa fa-cog"></i>', ['action' => 'generatePayment', $val->trans_id], ['class' => 'btn btn-success', 'title' => 'Get payment link', 'escape' => false, 'confirm' => __('Are you sure to get payment link {0}?', $val->trans_id)]); ?>
                                        <?= $this->Html->link('<i class="fa fa-pencil"></i>', ['action' => 'editPayment', $val->trans_id], ['class' => 'btn btn-info', 'title' => 'Edit payment link', 'escape' => false]); ?>
                                        <?= $this->Form->postLink('<i class="fa fa-trash"></i>', ['action' => 'deletePayment', $val->trans_id], ['class' => 'btn btn-warning', 'title' => 'Delete payment link', 'escape' => false, 'confirm' => __('Are you sure to delete {0}?', $val->name)]); ?>            
                                    </td>
                    			</tr>
                    			<?php endforeach; ?>
                    		</tbody>
                    	</table>
                        <div class="row"  style="text-align: right;">
                            <?php 
                                $this->Paginator->options(['model' => 'payments']);
                                echo "<div class='center'><ul class='pagination' style='margin:20px auto;' model=\"payments\">";
                                echo $this->Paginator->prev('<<', array('tag' => 'li', 'currentTag' => 'a', 'currentClass' => 'disabled'), null, array('class' => 'prev disabled'));
                                echo $this->Paginator->numbers(array('separator' => '','tag' => 'li', 'currentTag' => 'a', 'currentClass' => 'active')); 
                                echo $this->Paginator->next('>>', array('tag' => 'li', 'currentTag' => 'a', 'currentClass' => 'disabled'), null, array('class' => 'next disabled'));
                                echo "</ul></div>";
                            ?>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="pendients">
                        <div class="row" style="text-align: right;">
                            <div class="col-md-4 col-md-offset-8">
                                <div class="col-md-2"><span id="iconpendients"></span></div>
                                <div class="col-md-10">
                                    <input type="text" name="search" class="form-control search" search="pendients" placeholder="Search here">
                                </div>
                            </div>
                        </div>
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Code</th>
                                    <th>Name</th>
                                    <th>Tax ID</th>
                                    <th>Email</th>
                                    <th>Amount</th>
                                    <th>Status</th>
                                    <th>Created</th>
                                    <th>Regenerate payment link</th>
                                    <th>Unlink payment link</th>
                                    <th>Send payment</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php foreach($paidPendients as $val): ?>
                                <?php $color = $val->status == 'unpaid' ? 'red':'green';  ?>
                                <tr>
                                    <td><?= $val->code ?></td>
                                    <td><?= $val->name ?></td>
                                    <td><?= $val->rut ?></td>
                                    <td><?= $val->email ?></td>
                                    <td><?= $val->price ?></td>
                                    <td><span class="fa fa-circle" style="color:<?= $color ?>;"></span></td>
                                    <td><?= $val->create_date ?></td>
                                    <td align="center"><?= $this->Form->postLink('<i class="fa fa-refresh"></i>', ['action' => 'regeneratePayment', $val->DESVINCULAR_URL], ['class' => 'btn btn-info', 'confirm' => __('Are you sure to regenerate payment link {0}?', $val->code), 'title'=> 'regenerate payment link', 'escape' => false]) ?></td>
                                    <td align="center"><?= $this->Form->postLink('<i class="fa fa-sign-out"></i>', ['action' => 'unlinkPayment', $val->DESVINCULAR_URL], ['class' => 'btn btn-warning', 'confirm' => __('Are you sure to unlink payment link {0}?', $val->code), 'title'=> 'unlink payment link', 'escape' => false]) ?></td>
                                    <td align="center"><?= $this->Form->postLink('<i class="fa fa-upload"></i>', ['action' => 'sendPayment', $val->ENVIAR], ['class' => 'btn btn-success', 'confirm' => __('Are you sure to send notification #{0}?', $val->code), 'title'=> 'Send email', 'escape' => false]) ?></td>
                                </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                        <div class="row" style="text-align: right;">
                            <?php 
                                $this->Paginator->options(['model' => 'pendients']);
                                echo "<div class='center'><ul class='pagination' style='margin:20px auto;' model=\"pendients\">";
                                echo $this->Paginator->prev('<<', array('tag' => 'li', 'currentTag' => 'a', 'currentClass' => 'disabled'), null, array('class' => 'prev disabled'));
                                echo $this->Paginator->numbers(array('separator' => '','tag' => 'li', 'currentTag' => 'a', 'currentClass' => 'active')); 
                                echo $this->Paginator->next('>>', array('tag' => 'li', 'currentTag' => 'a', 'currentClass' => 'disabled'), null, array('class' => 'next disabled'));
                                echo "</ul></div>";
                            ?>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="paid">
                        <div class="row" style="text-align: right;">
                            <div class="col-md-4 col-md-offset-8">
                                <div class="col-md-2"><span id="iconpaid"></span></div>
                                <div class="col-md-10">
                                    <input type="text" name="search" class="form-control search" search="paid" placeholder="Search here">
                                </div>
                            </div>
                        </div>
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Code</th>
                                    <th>Name</th>
                                    <th>Tax ID</th>
                                    <th>Email</th>
                                    <th>Amount</th>
                                    <th>Status</th>
                                    <th>Paydate</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php foreach($paidComplete as $val): ?>
                                <?php $color = $val->Estatus == 'unpaid' ? 'red':'green';  ?>
                                <tr>
                                    <td><?= $val->code ?></td>
                                    <td><?= $val->name ?></td>
                                    <td><?= $val->rut ?></td>
                                    <td><?= $val->correo ?></td>
                                    <td><?= $val->price ?></td>
                                    <td><span class="fa fa-circle" style="color:<?= $color ?>;"></span></td>
                                    <td><?= $val->paydate ?></td>
                                </tr>
                                <?php endforeach; ?>
                            </tbody>
                        </table>
                        <div class="row"  style="text-align: right;">
                            <?php 
                                $this->Paginator->options(['model' => 'paid']);
                                echo "<div class='center'><ul class='pagination' style='margin:20px auto;' model=\"paid\">";
                                echo $this->Paginator->prev('<<', array('tag' => 'li', 'currentTag' => 'a', 'currentClass' => 'disabled'), null, array('class' => 'prev disabled'));
                                echo $this->Paginator->numbers(array('separator' => '','tag' => 'li', 'currentTag' => 'a', 'currentClass' => 'active')); 
                                echo $this->Paginator->next('>>', array('tag' => 'li', 'currentTag' => 'a', 'currentClass' => 'disabled'), null, array('class' => 'next disabled'));
                                echo "</ul></div>";
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
  	</div>
</div>
<script type="text/javascript">
    $(document).ready(function(){
        var columns = {'payments': 5, 'pendients': 9, 'paid': 7};

        //searching
        $('.search').on('keyup', function(){
            var term = $(this).val();
            var model = $(this).attr('search');

            $.ajax({
                type: 'post',
                url:  "<?= $this->Url->build('/pages/') ?>"+model+'/'+term,
                headers : {
                  'X-CSRF-Token': "<?= $this->request->getParam('_csrfToken')?>"
                },
                beforeSend:function(){
                    $('#icon'+model).empty().append('<i class="fa fa-spinner fa-spin"></i>');
                },
                success: function(data){
                    var body = bodyTable(data, model);
                    $('#'+model).find('tbody').empty().append(body);
                    $('#icon'+model).empty();
                },
                error: function(error){ console.log(error);
                    alert('Error');
                }
            });

        });

        $('a').on('click', function(e){
            var ul = $(this).parent().parent();
            var model = ul.attr('model');

            if(typeof model !== 'undefined'){
                e.preventDefault();

                ul.find('li').removeClass('active');
                $(this).parent().addClass('active');

                $.ajax({
                    type: 'post',
                    url: "<?= $this->Url->build('/pages/') ?>"+model+'?page='+$(this).text(),
                    headers : {
                      'X-CSRF-Token': "<?= $this->request->getParam('_csrfToken')?>"
                    },
                    beforeSend:function(){
                        $('#'+model).find('tbody').empty().append('<tr><td colspan="'+columns[model]+'" align="center">Loading...! Please wait.</td></tr>');
                    },
                    success: function(data){
                        var body = bodyTable(data, model);
                        $('#'+model).find('tbody').empty().append(body);
                    }
                });
            }

            
        });

        function bodyTable(data, model){
            var tr = '';
            $.each(data, function(i, col){
                            tr += '<tr>';
                            $.each(col, function(ix, val){
                                if(ix != 'trans_id' && ix != 'PAGO' && ix != 'DESVINCULAR_URL' && ix != 'ENVIAR' && ix != 'user_id' && ix != 'status' && ix != 'date'){
                                    tr += '<td>'+val+'</td>';
                                }

                                if(ix == 'PAGO'){
                                    tr += buttons(val, model) 
                                }

                                if(ix == 'DESVINCULAR_URL'){
                                    tr += buttons(val, model+'1');
                                }

                                if(ix == 'ENVIAR'){
                                    tr += buttons(val, model+'2')
                                }

                                if(ix == 'status'){
                                    color = ix == 'unpaid' ? 'red':'green';
                                    tr += '<td><span class="fa fa-circle" style="color:'+color+'"></span></td>'
                                }
                            });
                            tr += '<tr>';
                        });

            return tr;
        }

        function buttons(id, model){

            if(model == 'payments')
                var buttons = "<td><form name=\"post_5e25148bc6ac8573355644"+id+"\" style=\"display:none;\" method=\"post\" action=\"<?= $this->Url->build('/pages/generate-payment/') ?>"+id+"\"><input type=\"hidden\" name=\"_method\" value=\"POST\"><input type=\"hidden\" name=\"_csrfToken\" autocomplete=\"off\" value=\"<?= $this->request->getParam('_csrfToken')?>\"></form><a href=\"#\" class=\"btn btn-success\" title=\"Get payment link\" onclick=\"if (confirm(&quot;Are you sure to get payment link "+id+"?&quot;)) { document.post_5e25148bc6ac8573355644"+id+".submit(); } event.returnValue = false; return false;\"><i class=\"fa fa-cog\"></i></a>&nbsp;&nbsp;<a href=\"<?= $this->Url->build('/pages/edit-payment/') ?>"+id+"\" class=\"btn btn-info\" title=\"Edit payment link\"><i class=\"fa fa-pencil\"></i></a><form name=\"post_5e25148bc6bcb747890332"+id+"\" style=\"display:none;\" method=\"post\" action=\"<?= $this->Url->build('/pages/delete-payment/') ?>"+id+"\"><input type=\"hidden\" name=\"_method\" value=\"POST\"><input type=\"hidden\" name=\"_csrfToken\" autocomplete=\"off\" value=\"<?= $this->request->getParam('_csrfToken')?>\"></form>&nbsp;<a href=\"#\" class=\"btn btn-warning\" title=\"Delete payment link\" onclick=\"if (confirm(&quot;Are you sure to delete "+id+"?&quot;)) { document.post_5e25148bc6bcb747890332"+id+".submit(); } event.returnValue = false; return false;\"><i class=\"fa fa-trash\"></i></a></td>";

            if(model == 'pendients1')
                var buttons = '<td><form name="post_5e251b3d39826428657304'+id+'" style="display:none;" method="post" action="<?= $this->Url->build('/pages/unlink-payment/') ?>'+id+'"><input type="hidden" name="_method" value="POST"><input type="hidden" name="_csrfToken" autocomplete="off" value="<?= $this->request->getParam('_csrfToken')?>"></form><a href="#" class="btn btn-warning" title="unlink payment" onclick="if (confirm(&quot;Are you sure to unlink payment ?&quot;)) { document.post_5e251b3d39826428657304'+id+'.submit(); } event.returnValue = false; return false;"><i class="fa fa-sign-out"></i></a></td>';

            if(model == 'pendients2')
                var buttons = '<td><form name="post_5e251b3d399d2081590036'+id+'" style="display:none;" method="post" action="<?= $this->Url->build('/pages/send-payment/') ?>'+id+'"><input type="hidden" name="_method" value="POST"><input type="hidden" name="_csrfToken" autocomplete="off" value="<?= $this->request->getParam('_csrfToken')?>"></form><a href="#" class="btn btn-success" title="Send email" onclick="if (confirm(&quot;Are you sure to send notification #?&quot;)) { document.post_5e251b3d399d2081590036'+id+'.submit(); } event.returnValue = false; return false;"><i class="fa fa-upload"></i></a></td>';

            return buttons;
        }
    });
</script>