jQuery(document).ready(function($) {

	var $debug = false,

		$mainContent = $("#page-content"),

		$pageWrap = $("#page-wrap"),

		baseHeight = 0,

		ext = '.php',

		modal = $('#modal'),

		loader = $('#ajaxloader'),

		$el,

        $lang 	= "<?php echo $lang ?? '' ?>",

        $ip 	= "<?php echo $ip ?? '' ?>",

		url_to_self = "<?php echo ROOT_URL ?>",

		url_to_core = "<?php echo CORE_URL ?>",

		recordlimit = 200001,

		state = {}; 

		

	function getPage($data) {

		if ( $debug ) {

			console.log( $data );

			console.log( url_to_self + "pages.php" );

		}



		loader.fadeIn( 100 );



		$.ajax({

			method: "POST",

			url: url_to_self + "pages.php",

			async: false,

			data: {

				data: $data,

                lang: $lang,

                ip: $ip

			},

			success: function(html) {

				$mainContent.find("#guts").fadeOut(100).html(html).fadeIn(100);

				loader.fadeOut(100);

				

				inputsByOperation();/*$('#view,#rank').on( 'click', goto );*/

                renderMenu(); //render menu items

                setMaxDate();

                

                //console.log("<?php echo $_SERVER['REMOTE_ADDR']; ?>");

                /* Event listeners */

                $('button#ds_submit').on('click', login); //load login

        		$("a[data-search]").on('click', getSeeker); //load seeker

        		$('button#search').on('click', val_error); // execute search

        		$('select#oper, select#anio, select#inimon, select#finmon').on('change', inputsByOperation); //filter by operation

        		$('button.rankgraph').on('click', getRank); // get rank

        		$('a.graph-type').on('click', getRank);

        		$("a[data-file]").on("click", go ); //get page

                $('#pass_submit').on('click', reset_pass); // reset password

                $('#view').on( 'click', getView );

                $('#rank').on( 'click', goToRank );

                $('[data-help]').on( 'keyup' , sendHelp );

                $('[data-help]').on( 'change' , sendHelp );

                $('#export').on( 'click', exportXLSX );

                $('[data-toggle="tooltip"]').tooltip();

                $('a.lang').on('click', switchLang );

                $('#favs').on('click', getFavs);

                $('#añadir_favorito').on('click', addFavs);

                $('#llenarFavb').on('click', fillwithfav);

                $('#DeleteFavb').on('click', deleteFav);

                $('#passchange_submit').on( 'click', passwordChange );

                $('#profileact_submit, #personal_submit').on( 'click', profileAct );

                $('select#oper').on('change', setTitle );

                $('#noticemodal').modal('show');

                $('#export_excel_link').on('click', exportXLSX_tablename);

                $('#accept_tou').on('click', acceptTOU);

                $('.go-backseeker').on( 'click', RankingGobackToSeeker );

                $('.inputs[multiple="multiple"]').on('focus', function(helpinput) {

                	var targetelement = $('#'+helpinput.target.id);

                	targetelement.keydown(function(teclado){

			        	if (teclado.keyCode === 46  || teclado.keyCode === 8) { 

					      	$(targetelement.find('option:selected')).remove();   

							targetelement.focus();

					    } 

		        	});                	

                

                });

              



               

                

                

               	setTitle();



				if ($debug) {

					console.log(html);

				}

			}

		});

		

	}





	 



	function switchLang(e) {

		var event = e;

		event.preventDefault();

		var lang = $(this).attr('data-lang');

		//console.log(lang);

		var request = {

			'page': 'login',

			'lang': lang

		};

		getPage( request );

		$('.lang').each(function(index, item) 

		{

			if ( $(this).attr('data-lang') == lang )

			{

				$(this).replaceWith( '<b class="lang" data-lang="'+$(this).attr('data-lang')+'">' + $( this ).text() + "</b>" );

			}

			else

			{

				$(this).replaceWith( '<a class="lang" data-lang="'+$(this).attr('data-lang')+'">' + $( this ).text() + "</a>" );

			}

			

		});

	}



	function reposition(targetelement,movingelement) {



		var left = targetelement.position().left,

		top = targetelement.position().top,

		height = targetelement.outerHeight(),

		top = top + height;

	

		 movingelement.remove();

		 targetelement.parent().append(movingelement);

		movingelement.css({  

				position: "absolute",

				top:  top, 

				left:  left,

				"z-index": 1000,

			});



		movingelement.css({width: "700px"});

	 

	}





	function go( e ) {

		var event = e;

		event.preventDefault();

		var request = {

			'page': $(this).attr('data-file')

		};

		getPage( request );

	}



	function renderMenu(){

		var btn = $('.access-btn'); // id del boton a reemplazar



		if( btn.length > 0 && $('#menu-buscador').length > 0 ){

			btn.addClass('menu-item-has-children')

			btn.html( $('#submenu-buscador').html() ).find('a[data-file="members"]').text( $('#menu-buscador > span').text() );

			btn.find( 'ul #menu-buscador' ).remove();

			$('#guts #menu-buscador, #guts #submenu-buscador').hide();

			

		}

 

	}

    

    function login(e) {

    	var event = e;

		event.preventDefault();

		var special = false, pattern =  /(\!|\#|\$|\%|\^|\&|\*|\(|\)|\_|\+|\-|\=|\[|\]|\{|\}|\;|\'|\:|\"|\\|\||\,|\<|\>|\/|\?)+/ , val = "";

		val = $('#ds_username').val();

		if( pattern.test(val) || val == '' || val == null )

		{

			special = true;

		}



		val = $('#ds_password').val();



		if( val == '' || val == null )

		{

			special = true;

		}

		$('#login_form input').each(function(index, item) 

		{

			val = $(this).val().trim();

			if(pattern.test(val) || val == '' || val == null )

			{

				

			}

		});

		



		if (special) 

		{

			var lang = $('html').attr('lang');

			if (lang.substring(0,2) == 'es')

			{

				var error = "Error: No envie el formulario vacio, ni su nombre de usuario con caracteres especiales. Por politicas de seguridad su clave no puede contener menos de 4 caracteres, si su clave actual tiene menos de 4 caracteres debe cambiarla con el boton de reset password que se encuentra abajo.";

			}

			else

			{

				var error = "Error: Do not send empty form, nor your username with special chars. Because of our new security policies your password can not contain less than 4 chars, if your current password contains less than 4 chars, you must reset it by clicking the button below this form.";

			}

			$("#js_error").html('<div class="alert alert-danger alert-dismissible fade show" role="alert">'+error+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');

		}

		else

		{

			var fields = {};



			$('#login_form').serializeArray().forEach( function( item, index) {

				fields[item.name] = item.value;

			});





			var	search = {

				'page': 'login',

				'login_post': fields

				};



			getPage(search);

		}



		

	}

	function profileAct(e) {

		var event = e;

		event.preventDefault();

		var allow_change = true, error = '', re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;

 		var pattern =  /(\!|\#|\$|\%|\^|\&|\*|\(|\)|\_|\+|\-|\=|\[|\]|\{|\}|\;|\'|\:|\"|\\|\||\,|\<|\>|\/|\?)+/;



 		if( typeof $('#password_old').val() != 'undefined' && typeof $('#password_old').val() != null )

		{

			if(  $('#password_old').val() == '' )

			{

				

				allow_change = false;

				if ($lang == 'es') 

				{

					error += "Contraseña actual no debe estar vacia. ";

				}

				else

				{

					error += "Current password must be filled. ";

				}					

			}

		}



		if( typeof $('#password').val() != 'undefined' && typeof $('#password').val() != null )

		{

			if(  $('#password').val() == '' || pattern.test($('#password').val()) || $('#password').val() < 8 )

			{

				

				allow_change = false;

				if ($lang == 'es') 

				{

					error += "Contraseña nueva no debe estar vacia. No debe contener caracteres especiales. o ser menor a 8 caracteres ";

				}

				else

				{

					error += "New password must be filled. It can not contain special chars or contain less than 8 chars.";

				}					

			}

		}



		if( typeof $('#email').val() != 'undefined' && typeof $('#email').val() != null )

		{

			if( !re.test( $('#email').val() ) )

			{

				

				allow_change = false;

				if ($lang == 'es') 

				{

					error += "Email invalido. ";

				}

				else

				{

					error += "Invalid email. ";

				}					

			}

		}



		if( typeof $('#name').val() != 'undefined' && typeof $('#name').val() != null )

		{

			if( ($('#name').val() == '' || $('#name').val() == null) )

			{

				allow_change = false;

				if ($lang == 'es') 

				{

					error += "Nombre no puede estar vacío.";

				}

				else

				{

					error += "Name can't be empty.";

				}					

			}

		}



		if (allow_change) 

		{

			var request = {

				'action': 'update_profile',

				'user_id': $('#id').val(),

				'token' : $('#token').val(),

				'email': $('#email').val(),

				'name': $('#name').val(),

				'password_old': $('#password_old').val(),

				'password': $('#password').val(),

				'lang': $lang

			}

			



			$.ajax({

				method: "POST",

				url: url_to_core,

				async: false,

				data: request,

				success: function(html) {



					if ($lang == 'es') 

					{

						var msg = "Se ha enviado un correo, por favor confirme el enlace enviado!";

					}

					else

					{

						var msg = "An email was sent to you, please confirm link in it!";

					}

					if (html.return == true)		

					{

						if ( typeof $('#password_change_form') != 'undefined' && typeof $('#password_change_form') != null )

						{

							$('#password_change_form').parent('div').fadeOut();

						}

						if ( typeof $('#personaldata_form') != 'undefined' && typeof $('#personaldata_form') != null )

						{

							$('#personaldata_form').parent('div').fadeOut();

						}



						if($lang == 'es')

						{

							$('#respuesta').html('<div class="alert alert-success alert-dismissible fade show" role="alert"> '+html.msg.es+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');	

						}

						else

						{

							$('#respuesta').html('<div class="alert alert-success alert-dismissible fade show" role="alert"> '+html.msg.en+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');	

						}

						

					}

					else

					{

						if($lang == 'es')

						{

							$('#respuesta').html('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+html.msg.es+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');

						}

						else

						{

							$('#respuesta').html('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+html.msg.en+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');

						}

						

					}



				},

				error: function (jqXHR, exception) 

				{

					 //console.log(jqXHR);

					 //console.log(exception);

					

				}

			});



		}

		else

		{			

			$('#respuesta').html('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+error+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');

		}

	}





	function passwordChange(e)

	{

		var event = e;

		event.preventDefault();

		var allow_change = true, pattern =  /(\!|\#|\$|\%|\^|\&|\*|\(|\)|\_|\+|\-|\=|\[|\]|\{|\}|\;|\'|\:|\"|\\|\||\,|\<|\>|\/|\?)+/, error = "";



		if( $('#new_pass').val() != $('#rptnew_pass').val() )

		{

			allow_change = false;

			error += "las contraseñas deben coincidir. ";

		}



		if( pattern.test($('#new_pass').val()) || $('#new_pass').val() == '' || $('#new_pass').val() == null || $('#new_pass').val().length < 8 || $('#new_pass').val().length > 30 )

		{			

			allow_change = false;

			error += "La contraseña nueva no puede estar vacia, contener caracteres especiales, ser menor a 8 caracteres o mayor de 30 caracteres. ";

		}



		



		if (allow_change) 

		{

			var request = {

				'action': 'update_profile',

				'user_id': $('#id').val(),

				'token' : $('#token').val(),

				'password_old': $('#current_pass').val(),

				'password': $('#new_pass').val()

			}

			



			$.ajax({

				method: "POST",

				url: url_to_core,

				async: false,

				data: request,

				success: function(html) {



						if (html.return == true)		

						{

							if ( typeof $('#password_change_form') != 'undefined' && typeof $('#password_change_form') != null )

							{

								$('#password_change_form').parent('div').fadeOut();

							}

							if ( typeof $('#personaldata_form') != 'undefined' && typeof $('#personaldata_form') != null )

							{

								$('#personaldata_form').parent('div').fadeOut();

							}

							if ($lang == 'es') { var msg = '¡Clave modificada exitosamente!'; }

							else{ var msg = 'Password changed successfully!';	}

							

							$('#respuesta').html('<div class="alert alert-success alert-dismissible fade show" role="alert"> '+msg+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');

						}

						else

						{								

							if($lang == 'es')

							{

								$('#respuesta').html('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+html.msg.es+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');

							}

							else

							{

								$('#respuesta').html('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+html.msg.en+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');

							}

						}

					//	console.log(html);

						

				},

				error: function (jqXHR, exception) 

				{

					//   console.log(jqXHR);

					    // Your error handling logic here..

					}

			});



		}

		else

		{

			$('#respuesta').html('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+error+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');			

		}

	}





	function getSeeker(e) {

		var event = e;

		event.preventDefault();

		var search = {

			'page': 'seeker',

			'search': $(this).attr('data-search')

		};

		if ($( this ).hasClass( "disable" ) == false)

		{

			getPage(search);

			state['seek_id'] = $(this).attr('data-search');

		}

	

		

	}



	function getRank(e) {

		var event = e, charttype = 'Pie';

		event.preventDefault();

		if ( $(this).data('chart') !== 'undefined' )

		{

			charttype = $(this).data('chart');

		}



		var search = {

			'page': 'rank',

			'ranktypeselected': $(this).data('type'),

			'search_id': $(this).data('searchid'),

			'text': $(this).data('text'),

			'charttype': charttype



		};

		getPage( search );



	}



	function getFavs() {

		var request = {

			"action": "get_fav",

			"user_id": $('#user_id').val(),

			"token": $('#token').val(),

			"seeker_id": $('#seek_id').val()

		}



		$.ajax({

			method: "POST",

			url: url_to_core,

			async: false,

			data: request,

			success: function(html) {

				$('select#selectFav').find('option').remove()

				Object.entries(html).forEach(([key, value]) => {

				  $('select#selectFav').append(jQuery('<option>', {

											        'value': JSON.stringify(value),

											        'text': value.fav_alias,

											        'data-fav_id': key

											   				 }));

				});

				 			

			}

		});



	}





	function addFavs() {

		var request = {

			"action": "set_fav",

			"user_id": $('#user_id').val(),

			"token": $('#token').val(),

			"search_id": $('#export').attr('data-searchid'),

			"alias": $('#nombre_favoritos').val()

		}



		$.ajax({

			method: "POST",

			url: url_to_core,

			async: false,

			data: request,

			success: function(html) {

				setModal('', html.error);	

				//$('#respuesta').html('<div class="alert alert-danger alert-dismissible fade show" role="alert"> '+html.error+' <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');	

					//TODO: Reemplazar por modal								

			}

		});



	}



	function fillwithfav(e) {

		var event = e;

		event.preventDefault();

		var json = JSON.parse($('select#selectFav').val());

		var arr,extraid = "";

		$('#search_records').empty();

		input = $('#criterios .inputs, #filtros .inputs');

		$.each( input, function(i, val) {

			var inp = $('#'+val.id);

			if(inp.prop("tagName") == 'INPUT')

			{

				inp.val('');

			}

			else

			{

				if(inp.prop("multiple") == true)

				{

					inp.find('option').remove();

				}

				else

				{

					inp.find('option[value=""]').prop('selected', true);

				}

			}

		});

		

		$('#oper>option[value="'+json.search_op+'"]').prop('selected', true);

		Object.entries(json.inputs).forEach(([key, value]) => {

			if (value.param_type == 'extra') {

				extraid = JSON.parse(value.param_attr);

			}

		 	if (value.param_type != 'extra') 

		 	{

		 		$('#inp_'+value.param_filter_id).val(value.param_value);

		 	}

		 	else

		 	{

		 		arr = value.param_value.split(',');

		 		$.each( arr, function(i, val) {

					$('#inp_'+value.param_filter_id+'_'+extraid.extra_id).append(jQuery('<option>', {

				        'value': val,

				        'text': val

		   				}));

				});				

		 	}

		});



		$("button#view").removeAttr('data-viewtable');

		$("button#view").attr('class', 'btn btn-outline-dark disabled col-2');

		$("button#view").attr('disabled','disabled');

		$("button#rank").attr('disabled','disabled');

		$("button#export").attr('disabled','disabled');

		$("button#export").attr('class', 'btn btn-outline-dark disabled col-2');

		$("button#rank").attr('class', 'btn btn-outline-dark disabled col-2');

		$("button#addfav").hide();



		inputsByOperation();

	}



	function deleteFav(e) {

		var event = e;

		event.preventDefault();

		var request = {

			"action": "del_fav",

			"user_id": $('#user_id').val(),

			"token": $('#token').val(),

			"fav_id": $('select#selectFav option:selected').attr('data-fav_id')

		}

		$.ajax({

			method: "POST",

			url: url_to_core,

			async: false,

			data: request,

			success: function(html) {

				setModal('', html.error);			

			}

		});

	}





	function acceptTOU(e) {

		var event = e;

		event.preventDefault();



		var request = {

			"action": "verified",

			"user_id": $(this).attr('data-user_id'),

			"token": $(this).attr('data-token')

		};

		$.ajax({

			method: "POST",

			url: url_to_core,

			async: false,

			data: request,

			success: function(html) {

				var request = {

				'page': 'members'

				};

				//console.log(html);

				if(html.return == true){

					getPage(request);		

				}

			},

			error: function (jqXHR, exception) {

			  //  console.log(jqXHR);

			    // Your error handling logic here..

			}

			

		});



	}





	function exportXLSX(e) {

		var event = e;

		event.preventDefault();

		  var newForm = jQuery('<form>',

          {

		      'action': url_to_core,

              'target': '_blank',

              'method': 'POST'

            });

            

		  newForm.append(jQuery('<input>', {

        'name': 'action',

        'value': 'export',

        'type': 'hidden'

   				 }));

		  newForm.append(jQuery('<input>', {

        'name': 'search_id',

        'value': $(this).attr('data-searchid'),

        'type': 'hidden'

   				 }));

		  newForm.append(jQuery('<input>', {

        'name': 'format',

        'value': 'xlsx',

        'type': 'hidden'

   				 }));



		  newForm.append(jQuery('<input>', {

        'name': 'lang',

        'value': $lang,

        'type': 'hidden'

   				 }));

		

		  newForm.append($('#token').clone());

		  newForm.append($('#user_id').clone());



		  $('#form_export').html(newForm);

		//console.log($(this).attr('data-searchid'));

    	newForm.submit();



	}



	 function exportXLSX_tablename(e) {

	 	var event = e;

		event.preventDefault();

		  var newForm = jQuery('<form>',

          {

		      'action': url_to_core,

              'target': '_blank',

              'method': 'POST'

            });

            

		  newForm.append(jQuery('<input>', {

        'name': 'action',

        'value': 'export',

        'type': 'hidden'

   				 }));

		  newForm.append(jQuery('<input>', {

        'name': 'table',

        'value': $(this).attr('data-tablename'),

        'type': 'hidden'

   				 }));

		  newForm.append(jQuery('<input>', {

        'name': 'format',

        'value': 'xlsx',

        'type': 'hidden'

   				 }));

		  newForm.append(jQuery('<input>', {

        'name': 'token',

        'value': $(this).attr('data-token'),

        'type': 'hidden'

   				 }));

		  newForm.append(jQuery('<input>', {

        'name': 'user_id',

        'value': $(this).attr('data-user_id'),

        'type': 'hidden'

   				 }));



		  $('#'+$(this).attr('data-div_id')).html(newForm);



    	newForm.submit();



	}

    

	function goToRank(e) {

		var event = e;

		event.preventDefault();

		var search = {

			'page': 'rank',

			'ranktypes': $(this).data('type'),

			'search_id': $(this).data('searchid'),

			'text': $(this).data('text'),

			'charttype': 'Pie'

		};

        getPage(search);

	}



	function setModal($title, $text, $btn = '') {

		modal.find('.modal-title').text($title);

		modal.find('.modal-body').html($text);

		modal.modal('show');

	}



	function setTitle() 

	{

		if (typeof $('#missingdata').val() !== 'undefined')

		{

			var json = JSON.parse($('#missingdata').val()),

			op = $('#oper').val(),

			date = new Date(json[op]['fin']), 

			title = $('.seeker-title').parent(),

			year = date.getFullYear(); 

				

			var mon = String(date.getMonth()+1).padStart(2, '0');				



			if($lang == 'es'){

				text = "Actualizado hasta";

			}

			else

			{

				text = 'Updated until';

			}			 

			

			if ($('#seeker-title-period').text() == '')

			{

				title.append('<p id="seeker-title-period">'+text+' '+mon+'/'+year+'</p>');

			}

			else

			{

				$('#seeker-title-period').text(text+' '+mon+'/'+year);

			}

		}	

	}



	function inputsByOperation() {

		var op = $('#oper').val(),

		ano = $('#anio').val(),

		mesini = $('#inimon').val(),

		mesfin = $('#finmon').val(),

		input = $('#criterios .inputs, #filtros .inputs');

		 

		$.each( input, function(i, val) {

				var inp = $('#'+val.id),

			label = $('label[for=' + val.id + ']'),

			help = $('#'+val.id+"-help"),

			 cl = inp.attr('class');

			 

			if (cl.includes('bo-all') || cl.includes(op+'-all') || cl.includes(op+'-'+ano) ){

			 

				inp.show();

				label.show();

				if(typeof help !== 'undefined')

				{

					help.show();

				}

			}else

			{

				inp.hide();

				label.hide();

				if(typeof help !== 'undefined')

				{

					help.hide();

				}

			}

			

		});



		if (typeof $('#missingdata').val() !== 'undefined')

		{

			var json = JSON.parse($('#missingdata').val()),

			mindate = new Date(json[op]['ini']),

			maxdate = new Date(json[op]['fin']);

			

			if(new Date(ano+'/'+Math.min(mesini,mesfin)+'/01') < mindate || new Date(ano+'/'+Math.max(mesini,mesfin)+'/01') > maxdate)

			{	

				var maxyear = maxdate.getFullYear();

				var mon = String(maxdate.getMonth()+1).padStart(2, '0');		

				$('#inimon option[value="'+mon+'"]').prop('selected', true);

				$('#finmon option[value="'+mon+'"]').prop('selected', true);

				$('#anio option[value="'+maxyear+'"]').prop('selected', true);

				

			}

			

		}





		if (typeof $('#rank').data('ranks') !== 'undefined')

		{

			json = $('#rank').data('ranks') ;

			var type = {};

			

			for (var key in json[op]) {

				if (json[op][key]['period'].indexOf(Number(ano)) != -1) 

				{

					type[key]=json[op][key]['label'];

				}

			}



			if (Object.keys(type).length > 0)

			{

				$('#rank').attr('data-type', JSON.stringify(type));	

				$('#rank').show();

			}

			else

			{

				$('#rank').removeAttr('data-type');

				$('#rank').hide();

			}

			

		}



	}



	function setMaxDate() {

		var op = $('#oper').val(),

		ano = $('#anio').val();

		if (typeof $('#missingdata').val() !== 'undefined')

		{

			var json = JSON.parse($('#missingdata').val()),

			mindate = new Date(json[op]['ini']),

			maxdate = new Date(json[op]['fin']),

			maxyear = maxdate.getFullYear();

			var mon = String(maxdate.getMonth()+1).padStart(2, '0');		

				$('#inimon option[value="'+mon+'"]').prop('selected', true);

				$('#finmon option[value="'+mon+'"]').prop('selected', true);

				$('#anio option[value="'+maxyear+'"]').prop('selected', true);

		}

	}

    

    function getView( e ) {

    	var event = e;

        event.preventDefault();

        var request = {

	          'page': $(this).attr('data-file'),

	          'info': $(this).attr('data-viewtable'),

	          'records': $(this).attr('data-recordsfound'),

	          'token': $('#token').val(),

	          'user_id': $('#user_id').val()

	        };

        

		  var newForm = jQuery('<form>',

          {

		      'action': url_to_self + "view.php",

              'target': '_blank',

              'method': 'POST'

            });



		  newForm.append(jQuery( '<input>', {

		      'name': 'info',

              'value': $(this).attr('data-viewtable'),

              'type': 'hidden'

              }));

		  newForm.append(jQuery( '<input>', {

		      'name': 'records',

              'value': $(this).attr('data-recordsfound'),

              'type': 'hidden'

              }));

		





		  $('#form_view').html(newForm);

    	newForm.submit();

    }



	function goto( e ) {

		var event = e;

		event.preventDefault();



	    //I'M SUPPOSED TO SEND DATA RETURNED FROM API TO VIEW OR RANK THEY WILL DO THEIR SHIT

	    var page = $(this).attr('data-file');

	    if (page=='view') {

	      var info = $(this).attr('data-viewtable'),

	      user_id = $('#user_id').val(),

	      token = $('#token').val();

	    }

	    else

	    {

	      var info = "", user_id = "", token = "";

	    }

 

	//if page is view, and data-viewtable is attr!

	 

	    var request = {

	          'page': $(this).attr('data-file'),

	          'info': info,

	          'token': token,

	          'user_id':user_id

	        };



	    $.ajax({

	            method: "POST",

	            url: url_to_self+"pages/"+$(this).attr('data-file')+".php",

	            data: request,

	            success: function( html ) {

	              var view = window.open();

	              view.document.write(html);

	              view.document.close();

	          

	          	}

			});







	}



	

	function val_error(e) {

		var event = e;

		event.preventDefault();

		var error = 0;

		var formquery = [];

		var special = false, pattern =  /(\!|\@|\#|\$|\%|\^|\&|\*|\(|\)|\_|\+|\=|\[|\]|\{|\}|\;|\'|\:|\"|\\|\||\<|\>|\/|\?)+/ , val = "";

		$('[data-error]').each(function(index, item) {

			var itemchk = $(this);

			

			if(  itemchk.css('display') != 'none' ) 

			{

				if ( itemchk.prop("tagName") == 'INPUT' ) {

					val = itemchk.val().trim();

					if ( itemchk.attr('type') == 'text' && val!= '' && val != null ) {

						error += itemchk.attr('data-error');					 

						if(pattern.test(val))

						{

							special = true;

						}

					}

				} 

				else 

				{

					if (itemchk.prop('multiple') == true)

					{

						itemchk.find('option').attr('selected',true);

					}

					

					if (  itemchk.prop('multiple') == true && itemchk.length>1 ) {

						error += itemchk.attr('data-error');

					}

					else

					{

						if (itemchk.find('option:selected').val()!='' && itemchk.find('option:selected').val()!=null) {

							error += itemchk.attr('data-error');

						}

					}				

				}

			}

			

		});

		if (special) 

		{



			alert("Recuerde no usar caracteres especiales. \n  Remember not to use special chars.");

		}

		else

		{

			

			if (error >= 2) 

			{

			 $('#loading').fadeTo( 100 , 0.98, function(){

                    search(); 

                });

			}

			else 

			{

				if (error == 1) {

					alert("Este filtro debe usarse con otro criterio o filtro. \n This filter has to be used with another filter.");

				} else {

					alert("Utilice al menos 1 criterio o 2 filtros como minimo.\n Search something or use two filters at least.");

				}

			}

		}

	}



	function search() {

 

		var $form = $(".searchEngine"),

			fields = {},

			currentinput;

		$("select[multiple=multiple] option").prop('selected', true);

	



		$form.serializeArray().forEach(function(item, index) {

			if(item.name != 'missingdata')

			{

				currentinput = $('[name="'+item.name+'"]');

				 

				if( ( currentinput.css('display') != 'none' && item.value != "" ) || currentinput.attr('type') == 'hidden' )

				{			

					if (typeof fields[currentinput.attr('id')]  === 'undefined') {	

						fields[currentinput.attr('id')] = item.value;

					}

					else

					{

						fields[currentinput.attr('id')] += ','+item.value;

					}

				}

			}			

		});

        if ( $debug ) {

			console.log({

				action: 'search',

				fields: fields,

				lang: $lang

			});

		}



		$.ajax({

			method: "POST",

			url: url_to_core,

			async: false,

			data: {

				action: 'search',

				fields: fields,

				lang: $lang,

                ip: $ip

			},

			success: function(answer) {

				$('#loading').fadeOut(100);

				state['fields'] = fields;

				state['records'] = answer.search_result;

				if($lang == 'es')
				{ 	
					var rf = 'Registros encontrados',
					title = "Resultado de busqueda",
					notallowed = "Excede el límite de registros permitidos por búsqueda (200.000), por favor reformule los parámetros o el periodo de búsqueda.";
				}
				else
				{
					var rf = 'Records found',
					title = "Search results",
					notallowed = "Exceeds the limit of records allowed per search (200.000), please perform again the search with shorter period or search criteria."; 
				}


				if(answer.return == true && answer.search_result > 0) 

				{

					state['searchtitle'] = answer.text;

					Object.entries(answer.search_fields).forEach(([key, input]) => {

						//console.log(input);

						if($('#'+input['id']).prop("tagName") != 'INPUT' && $('#'+input['id']).prop('multiple') == false)

						{

							state['searchtitle'] += ', '+input['label']+': '+$('#'+input['id']+'> option[value="'+input['value']+'"]').text();

						}

						else

						{

							state['searchtitle'] += ', '+input['label']+': '+input['value'];

						}

					});

					



										

					if( answer.search_result < recordlimit )

					{

						$("#search_records").html('<p> '+rf+': '+answer.search_result+'</p>');

						$("button#view").attr('data-viewtable', answer.search_table );

						$("button#view").attr('class', 'btn btn-primary col-2');

						$("button#view").removeAttr('disabled');

						$("button#view").attr('data-recordsfound',answer.search_result);

						$("button#rank").removeAttr('disabled');

						$("button#rank").attr('class', 'btn btn-primary col-3');

						$("button#rank").attr('data-searchid',answer.search_id);

						$("button#rank").attr('data-text',state['searchtitle']);

						$("button#export").removeAttr('disabled');

						$("button#export").attr('class', 'btn btn-primary col-2');

						$("button#export").attr('data-searchid',answer.search_id);

						setModal( title, rf + ': ' + answer.search_result );

					}



					$("button#addfav").show();

					state['viewtable'] = answer.search_table;

					state['searchid'] = answer.search_id;



					if( answer.search_result > recordlimit )

					{

						$("#search_records").html('<p> '+rf+': '+answer.search_result+'<br/>'+notallowed+'</p>');	

						setModal( title, rf + ': ' + answer.search_result + '<br/>' + notallowed );

					}

				 

				}

				else

				{

					$("#search_records").html('<p>'+rf+': 0</p>');

					$("button#view").removeAttr('data-viewtable');

					$("button#view").attr('class', 'btn btn-outline-dark disabled col-2');

					$("button#view").attr('disabled','disabled');

					$("button#rank").attr('disabled','disabled');

					$("button#export").attr('disabled','disabled');

					$("button#export").attr('class', 'btn btn-outline-dark disabled col-2');

					$("button#rank").attr('class', 'btn btn-outline-dark disabled col-2');

					$("button#addfav").hide();

				}

				

			},

			error: function (jqXHR, exception) {

				$('#loading').fadeOut(0);

				

				if ( $debug ) 

			    {

			    	console.log(jqXHR);

			    	console.log(exception);

			    }

				 

				if ( jqXHR.responseJSON.error != 'undefined' )

				{

					$('div#seeker').html('<div class="alert alert-danger alert-dismissible fade show" role="alert">'+jqXHR.responseJSON.error+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');	

				}

				

				else

				{

					$('div#seeker').html('<div class="alert alert-danger alert-dismissible fade show" role="alert">error al procesar la consulta!<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');	

				}

				if ( $lang == 'es')

				{

					setTimeout(function() {

								window.location.href = "https://www.datasur.com/buscador/";

							}, 8000);	

					

				}

				else

				{

					setTimeout(function() {

								window.location.href = "https://www.datasur.com/en/seeker/";

							}, 8000);	

					

				}

				



			}

		});

	}



	function RankingGobackToSeeker(e) {

		var event = e;

		event.preventDefault();

		var request = {

			page: 'seeker',

			search: state['seek_id']

		}



		getPage(request);

		if($lang == 'es'){ var rf = 'Registros encontrados';}

		else{ var rf = 'Records found'; }



		$("#search_records").html('<p> '+rf+': '+state['records']+'</p>');

		$("button#view").attr('data-viewtable', state['viewtable'] );

		$("button#view").attr('class', 'btn btn-primary col-2');

		$("button#view").removeAttr('disabled');

		$("button#view").attr('data-recordsfound',state['records']);

		$("button#rank").removeAttr('disabled');

		$("button#rank").attr('class', 'btn btn-primary col-3');

		$("button#rank").attr('data-searchid',state['searchid']);

		$("button#rank").attr('data-text',state['searchtitle']);

		$("button#export").removeAttr('disabled');

		$("button#export").attr('class', 'btn btn-primary col-2');

		$("button#export").attr('data-searchid',state['searchid']);

		$("button#addfav").show();



	

		Object.entries(state['fields']).forEach(([key, value]) => {

			if ($('#'+key).prop("tagName") == 'INPUT')

			{

				$('#'+key).val(value);

			}

			else

			{

				 

				if ($('#'+key).prop('multiple') == true) {

					var options = value.split(',');

					 

					options.forEach( function( item, index){

						$('#'+key).append(jQuery('<option>', {

				        'value': item,

				        'text': item

		   				}));

					});

				}

				else

				{

					$('#'+key+'>option[value="'+value+'"]').prop('selected', true);

				}

			}

			

		

		});

	}







	function reset_pass(e) {

		var event = e;

		event.preventDefault();

		var $form = $(".form_passwords"),

			fields = {},

			allow_change = true,

			error = "";

		$form.serializeArray().forEach(function(item, index) {

			fields[item.name] = item.value;

		});



		var name = $form.attr('id');

		if (name == 'restore_password')

		{

			var pattern =  /(\!|\#|\$|\%|\^|\&|\*|\(|\)|\_|\+|\-|\=|\[|\]|\{|\}|\;|\'|\:|\"|\\|\||\,|\<|\>|\/|\?)+/;

			//console.log($('#password').val());

			//console.log($('#rptnew_pass').val());

			if($('#password').val() != $('#rptnew_pass').val())

			{

				allow_change = false;

				error += "las contraseñas deben coincidir. ";

			}



			if( pattern.test($('#password').val()) || $('#password').val() == '' || $('#password').val() == null || $('#password').val().length < 4 || $('#password').val().length > 15 )

			{

				

				allow_change = false;

				error += "La contraseña nueva no puede estar vacia, contener caracteres especiales, ser menor a 4 caracteres o mayor de 15 caracteres. ";

			}



		}



		if (allow_change) 

		{

			$.ajax({

				method: "POST",

				url: url_to_core,

				async: false,

				data:  fields,

				success: function(html) {



					if (html.return == true)

					{

						$('#API_response').html('<div class="alert alert-success alert-dismissible fade show" role="alert">'+html.msg+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');

						if ( $lang == 'es')

						{

							setTimeout(function() {

								window.location.href = "https://www.datasur.com/buscador/";

							}, 8000);	

						}

						else

						{

							setTimeout(function() {

								window.location.href = "https://www.datasur.com/en/seeker/";

							}, 8000);	

							

						}





					}

					else

					{

						$('#API_response').html('<div class="alert alert-danger alert-dismissible fade show" role="alert">'+html.error+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');

					}



				},

				error: function (jqXHR, exception) {

			    //console.log(jqXHR);

			    // Your error handling logic here..

			}

			});	

		}

		else

		{

			$('#API_response').html('<div class="alert alert-danger alert-dismissible fade show" role="alert">'+error+'<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button></div>');

		}

		

	}



	function getQueryVariable()

	{

	   var query = window.location.search.substring(1);

	   var vars = query.split("&");

	   

	   var param = new Array();

	   if ( vars[0].length > 0 )

	   {

	   		for (var i = 0 ; i < vars.length; i++)

	   		{

		       var pair = vars[i].split("=");

		       param[ pair[0] ] = pair[1];

		   	}

	   		return param;

	   }

	   else

	   {

	   		return false;

	   }

	}



	 





	function sendHelp( helpinput )

	{

		var targetelement = $('#'+helpinput.target.id),

			helpval = targetelement.val(),

			extraid = targetelement.attr('data-help')

			multiplebox = $('#'+helpinput.target.id+'_'+extraid); 

	

		if (helpval.length > 2)

		{

			fields = {};

			fields['user_id'] = $('#user_id').val(); 

			fields['token'] = $('#token').val(); 

			fields['value'] = helpval; 

			fields['extra_id'] = extraid;

			fields['op'] = $('#oper').val();

			fields['year'] = $('#anio').val();

			fields['action'] = 'extra';



			$.ajax({

					method: "POST",

					url: url_to_core,



					data: fields,

					success: function(json) {



						

						$('#divselectayuda').html('<select size=5 id="showayuda" display="none" multiple="multiple"></select>');



						reposition(targetelement,$(".selectayuda"));



						$.each(json, function (i, item) {

						    $('#showayuda').append($('<option>', { 

						        value: i,

						        text : item,

						        title : item 

						    }));

						});





						$('#showayuda').fadeIn(500);





						$('#showayuda').keydown(function(teclado){

				            if (teclado.keyCode === 32  || teclado.keyCode === 13 || teclado.keyCode === 45) { 

				                var insertOptions = $('#showayuda').find(":selected");

				                multiplebox.append(insertOptions);

				                $('#showayuda').fadeOut(1);

				                targetelement.val('');

				            } 

				        });



				    	multiplebox.keydown(function(teclado){

				        	if (teclado.keyCode === 46  || teclado.keyCode === 8) { 

						      	$(multiplebox.find('option:selected')).remove();   

								multiplebox.focus();

						    } 

				        });



				    	targetelement.keydown(function(teclado){

				            if ( teclado.keyCode === 40 ) { 

				                $('#showayuda').focus();

								$("#"+helpinput.target.id+"_"+extraid+" option:first").attr('selected','selected');

				            } 

				            if (teclado.keyCode === 27 ) {

				            	 $('#showayuda').fadeOut(1);

				            }

				        }); 



				        $("body").on('click', function(e){

				        	if ( $('#showayuda').is(":focus") == false && targetelement.is(":focus") == false )

				        	{

				        		$('#showayuda').fadeOut(1);

				        	}

				        });



					}

				});

		}

		else

		{

			$('#showayuda').fadeOut(1);

		}





		

	}



	function load_index()

	{

		var gets = getQueryVariable();

		if ( gets === false ) 

		{

			request = {

				'page': 'login'

			};

		}

		else

		{

			var request = $.extend({}, gets );

		}

		

		getPage( request );

	}



	load_index();

});